// Déclaration des constantes et variables

const int buttonPin = 12;
const int relayPin =  2;


// Initialisation des entrées et sorties

void setup()
{
    pinMode(relayPin, OUTPUT);
    pinMode(buttonPin, INPUT);
}


// Fonction principale en boucle

void loop()
{
    int buttonState = digitalRead(buttonPin);
    
    if (buttonState == 1)   
    {
        digitalWrite(relayPin, HIGH);  
    }
    else   
    {
        digitalWrite(relayPin, LOW);   
    }
    delay(10);
}
